# Load first census data 
# 28th September 2017
# Shameema Esufali


-- CREATE  DATABASE --
DROP DATABASE IF EXISTS current_metrop;
CREATE DATABASE IF NOT EXISTS current_metrop;
USE current_metrop;

-- CREATE TABLES --
SOURCE ../common/New_Database_Structure.sql;
SELECT "Structure created";
-- Enter Family and Genus records --
SOURCE ../common/Family.sql;
SELECT "Family table created"; 
SOURCE ../common/Genus.sql;
SELECT "Genus table created"; 
-- Create Temp tables --
source ../common/createTempTables.sql;

SELECT "Database Structure created";

-- insert Site information --


INSERT INTO Country (CountryID,CountryName) VALUES (1,'Vietnam');
SELECT "Country table created";

INSERT INTO Site (
  PlotID,
  PlotName ,
  LocationName ,
  CountryID ,
  ShapeOfSite ,
  DescriptionOfSite ,
  Area ,
  QDimX ,
  QDimY ,
  GUOM ,
  GZUOM ,
  PUOM ,
  QUOM ,
  PCoorCollected ,
  QCoorCollected ,
  IsStandardSize
)
VALUES (1,'metrop', 'metrop - Parque Metropolitan', '1', '100x100', NULL , '20ha', '20', '20', '', '', 'm', 'm', '', '' , 'Y');


SELECT "Site table created";

SOURCE ../datasets/personnel.sql;
SOURCE ../datasets/roles.sql;
SOURCE ../datasets/personnelrole.sql;
SOURCE ../datasets/quadrat.sql;
SOURCE ../datasets/coordinates.sql;
SOURCE ../datasets/codes.sql;

SET @PlotCensusNumber=1;
SET @PlotID=1;
SET @CensusID=1;

DROP TABLE IF EXISTS stagecensus;

CREATE TABLE stagecensus(
    Tag              CHAR(10),    
	StemTag          CHAR(32), 
	Mnemonic         CHAR(10),
	QuadratName	     CHAR(12),
	sx                FLOAT(8),
    sy                FLOAT(8),  
	qx                FLOAT(8),
    qy                FLOAT(8),       
	SpeciesName      CHAR(25), 
	Genus            CHAR(25),
	Family           CHAR(25),
	Mnemonic         CHAR(10),
	PlotCensusNumber INT(5),
	POM              CHAR(16) DEFAULT NULL,
	ExactDate        CHAR(25),
	Codes            VARCHAR(50) DEFAULT NULL,	
	DBH              FLOAT(5),
	DBH1             FLOAT(5),
	DBH2             FLOAT(5),
	DBH3             FLOAT(5),
	DBH4             FLOAT(5),
	DBH5             FLOAT(5),
	DBH6             FLOAT(5),
	DBH7             FLOAT(5),
	DBH8             FLOAT(5),
	DBH9             FLOAT(5),
	DBH10            FLOAT(5),
	tempID           INT UNSIGNED AUTO_INCREMENT,
	PRIMARY KEY(tempid)
	);

LOAD DATA LOCAL INFILE '../datasets/censusdata.csv' INTO TABLE stagecensus fields OPTIONALLY ENCLOSED BY '"' TERMINATED BY ',' ENCLOSED BY '' IGNORE 1 LINES;



DROP TABLE IF EXISTS stagequadrat;

/*
CREATE TABLE stagequadrat(
QuadratID INT(10),
SQ CHAR(2),
TRANS CHAR(2),
GX FLOAT(12,3),
GY FLOAT(12,3),
GZ FLOAT(12,3),
PX FLOAT(12,3),
PY FLOAT(12,3),
PZ FLOAT(12,3)

);

LOAD DATA LOCAL INFILE '../data/Quadrat.csv' INTO TABLE stagequadrat fields OPTIONALLY ENCLOSED BY '"' TERMINATED BY ',' ENCLOSED BY '' IGNORE 1 LINES;

INSERT INTO Quadrat (QuadratID,PlotID,QuadratName,Area,IsStandardShape) 
 SELECT QuadratID,1,concat(lpad(trans,2,"0"),lpad(SQ,2,"0")),400,"Y" FROM stagequadrat;

INSERT INTO Coordinates(PlotID,QuadratID,GX,GY,GZ,PX,PY,PZ) 
 SELECT @PlotID,QuadratID,GX,GY,GZ,PX,PY,PZ FROM stagequadrat;
*/

SOURCE ../data/quadrat.sql;
SOURCE ../data/coordinates.sql;

/* 
DROP TABLE IF EXISTS stagespecies;
CREATE TABLE stagespecies (
speciesid INT(10),
Family VARCHAR(25),
Genus VARCHAR(25),
Name VARCHAR(50),
SpeciesName VARCHAR(25),
SubSpeciesName VARCHAR(25),
mnemonic CHAR(10),
fieldfamily varchar(25),
primary key(speciesid)
);


LOAD DATA LOCAL INFILE '../data/Specieslist.csv' INTO TABLE stagespecies fields OPTIONALLY ENCLOSED BY '"' TERMINATED BY ',' ENCLOSED BY '' IGNORE 1 LINES;
*/

SOURCE ../data/species.sql

/*

UPDATE stagespecies SET Genus="Unidentified",Family="Unidentified" WHERE  genus not in (select genus from Genus);

ALTER table stagespecies ADD COLUMN genusid int(10),ADD COLUMN familyid int(10);

UPDATE stagespecies a, Genus b SET a.genusid=b.genusid, a.familyid = b.familyid WHERE a.genus=b.genus;

INSERT INTO Species (SpeciesID,CurrentTaxonFlag,ObsoleteTaxonFlag,GenusID,SpeciesName,Mnemonic,FieldFamily)
SELECT speciesid,1,0,genusid,speciesname,mnemonic,fieldfamily FROM stagespecies;

INSERT INTO SubSpecies (SpeciesID,currenttaxonflag,obsoletetaxonflag,subspeciesname,mnemonic)
SELECT speciesid,1,0,subspeciesname,mnemonic FROM stagespecies WHERE (subspeciesname IS NOT NULL AND subspeciesname !="");

*/

ALTER TABLE stagecensus ADD COLUMN speciesid INT(10)
# ALTER TABLE stagecensus ADD COLUMN mnemonic CHAR(10);
UPDATE stagecensus a, Species b
SET a.speciesid=b.speciesid,a.mnemonic=b.mnemonic
WHERE a.speciesname=b.name;
       
# Create Census
# set @date1:= (SELECT MIN(exactdate) FROM stagecensus);
# set @date2:= (SELECT MAX(exactdate) FROM stagecensus);

INSERT INTO Census (CensusID,PlotID,PlotCensusNumber,StartDate,EndDate) values (1,1,1,@date1,@date2);
SELECT "Census record inserted";
INSERT INTO CensusQuadrat (CensusID,QuadratID) SELECT 1,QuadratID FROM Quadrat; 

-- LOAD TempNewPlants --
# Main Stem
INSERT INTO TempNewPlants (QuadratName,Tag,StemTag,Mnemonic,DBH,codes,HOM,ExactDate,x,y,PlotCensusNumber,PlotID,CensusID) 
   SELECT A.quadratname,A.Tag,0,A.Mnemonic,A.DBH,null,null,null,A.x/A.transect,A.y/plot20,@PlotCensusNumber,@PlotID,@CensusID
        FROM stagecensus A;
    
INSERT INTO TempLocations (QuadratName,Tag, x, y,PlotCensusNumber,PlotID,CensusID) 
   SELECT DISTINCT A.QuadratName,A.Tag, A.x/A.transect,A.y/plot20,@PlotCensusNumber,@PlotID,@CensusID
        FROM stagecensus as A;        

# Additional Stems
/*
INSERT INTO TempNewPlants (QuadratName,Tag,StemTag,Mnemonic,DBH,codes,HOM,ExactDate,x,y,PlotCensusNumber,PlotID,CensusID) 
   SELECT A.quadratname,A.Tag,1,A.mnemonic,A.DBH1,null,null,null,A.x/A.transect,A.y/plot20,@PlotCensusNumber,@PlotID,@CensusID
        FROM stagecensus A
        WHERE A.DBH1 !=0;
        
INSERT INTO TempNewPlants (QuadratName,Tag,StemTag,Mnemonic,DBH,codes,HOM,ExactDate,x,y,PlotCensusNumber,PlotID,CensusID) 
   SELECT A.quadratname,A.Tag,2,A.mnemonic,A.DBH2,null,null,null,A.x/A.transect,A.y/plot20,@PlotCensusNumber,@PlotID,@CensusID
        FROM stagecensus A
        WHERE A.DBH2 !=0;
                
INSERT INTO TempNewPlants (QuadratName,Tag,StemTag,Mnemonic,DBH,codes,HOM,ExactDate,x,y,PlotCensusNumber,PlotID,CensusID) 
   SELECT A.quadratname,A.Tag,3,A.mnemonic,A.DBH3,null,null,null,A.x/A.transect,A.y/plot20,@PlotCensusNumber,@PlotID,@CensusID
        FROM stagecensus A
        WHERE A.DBH3 !=0;
        
INSERT INTO TempNewPlants (QuadratName,Tag,StemTag,Mnemonic,DBH,codes,HOM,ExactDate,x,y,PlotCensusNumber,PlotID,CensusID) 
   SELECT A.quadratname,A.Tag,4,A.mnemonic,A.DBH4,null,null,null,A.x/A.transect,A.y/plot20,@PlotCensusNumber,@PlotID,@CensusID
        FROM stagecensus A
        WHERE A.DBH4 !=0;

INSERT INTO TempNewPlants (QuadratName,Tag,StemTag,Mnemonic,DBH,codes,HOM,ExactDate,x,y,PlotCensusNumber,PlotID,CensusID) 
   SELECT A.quadratname,A.Tag,5,A.mnemonic,A.DBH5,null,null,null,A.x/A.transect,A.y/plot20,@PlotCensusNumber,@PlotID,@CensusID
        FROM stagecensus A
        WHERE A.DBH5 !=0;
	
INSERT INTO TempNewPlants (QuadratName,Tag,StemTag,Mnemonic,DBH,codes,HOM,ExactDate,x,y,PlotCensusNumber,PlotID,CensusID) 
   SELECT A.quadratname,A.Tag,6,A.mnemonic,A.DBH6,null,null,null,A.x/A.transect,A.y/plot20,@PlotCensusNumber,@PlotID,@CensusID
        FROM stagecensus A
        WHERE A.DBH6 !=0;

INSERT INTO TempNewPlants (QuadratName,Tag,StemTag,Mnemonic,DBH,codes,HOM,ExactDate,x,y,PlotCensusNumber,PlotID,CensusID) 
   SELECT A.quadratname,A.Tag,7,A.mnemonic,A.DBH7,null,null,null,A.x/A.transect,A.y/plot20,@PlotCensusNumber,@PlotID,@CensusID
        FROM stagecensus A
        WHERE A.DBH7 !=0;

INSERT INTO TempNewPlants (QuadratName,Tag,StemTag,Mnemonic,DBH,codes,HOM,ExactDate,x,y,PlotCensusNumber,PlotID,CensusID) 
   SELECT A.quadratname,A.Tag,8,A.mnemonic,A.DBH8,null,null,null,A.x/A.transect,A.y/plot20,@PlotCensusNumber,@PlotID,@CensusID
        FROM stagecensus A
        WHERE A.DBH8 !=0;                                
                       
INSERT INTO TempNewPlants (QuadratName,Tag,StemTag,Mnemonic,DBH,codes,HOM,ExactDate,x,y,PlotCensusNumber,PlotID,CensusID) 
   SELECT A.quadratname,A.Tag,9,A.mnemonic,A.DBH9,null,null,null,A.x/A.transect,A.y/plot20,@PlotCensusNumber,@PlotID,@CensusID
        FROM stagecensus A
        WHERE A.DBH9 !=0;                       

INSERT INTO TempNewPlants (QuadratName,Tag,StemTag,Mnemonic,DBH,codes,HOM,ExactDate,x,y,PlotCensusNumber,PlotID,CensusID) 
   SELECT A.quadratname,A.Tag,'10',A.mnemonic,A.DBH10,null,null,null,A.x/A.transect,A.y/plot20,@PlotCensusNumber,@PlotID,@CensusID
        FROM stagecensus A
        WHERE A.DBH10 !=0;
        
*/

# Error correction
UPDATE TempNewPlants a,TempNewPlants b
SET a.tag=concat(a.Tag,"DUP")
WHERE a.tag=b.tag
AND a.stemtag=b.stemtag
AND a.tempid>b.tempid;


/*
# UPDATE PX,PY in Stem table. 
select count(*) FROM
Stem a, Tree b, stagecensus c
WHERE a.treeid=b.treeid AND b.tag=c.tag; 


UPDATE Stem a, Tree b, stagecensus c
SET a.PX=c.x, a.PY=c.y
WHERE a.treeid=b.treeid AND b.tag=c.tag; 

*/






     
